/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLPreElement_H__
#define __GdomHTMLPreElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLPreElement GdomHTMLPreElement;
typedef struct _GdomHTMLPreElementClass GdomHTMLPreElementClass;


#define GDOM_TYPE_HTML_PRE_ELEMENT            (gdom_html_pre_element_get_type())
#define GDOM_HTML_PRE_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_PRE_ELEMENT, GdomHTMLPreElement))
#define GDOM_HTML_PRE_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_PRE_ELEMENT, GdomHTMLPreElement)Class)
#define GDOM_IS_HTML_PRE_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_PRE_ELEMENT))
#define GDOM_IS_HTML_PRE_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_PRE_ELEMENT))
#define GDOM_HTML_PRE_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_PRE_ELEMENT, GdomHTMLPreElementClass))

typedef struct _GdomHTMLPreElementPrivate GdomHTMLPreElementPrivate;

struct _GdomHTMLPreElement {
    GdomHTMLElement parent_instance;
    GdomHTMLPreElementPrivate *priv;
};

struct _GdomHTMLPreElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_pre_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLPreElement_H__ */
